# Generated from request-log-analyzer-1.13.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name request-log-analyzer

Name: rubygem-%{gem_name}
Version: 1.13.4
Release: 1%{?dist}
Summary: A command line tool to analyze request logs for Apache, Rails, Merb, MySQL and other web application servers
License: MIT
URL: http://www.request-log-analyzer.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
# BuildRequires: rubygem(rspec) >= 3
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(activerecord)
# BuildRequires: rubygem(sqlite3)
# BuildRequires: rubygem(mysql2)
# BuildRequires: rubygem(pg)
BuildArch: noarch

%description
Request log analyzer's purpose is to find out how your web application is
being used, how it performs and to
focus your optimization efforts. This tool will parse all requests in the
application's log file and aggregate the
information. Once it is finished parsing the log file(s), it will show the
requests that take op most server time
using various metrics. It can also insert all parsed request information into
a database so you can roll your own
analysis. It supports Rails-, Merb- and Rack-based applications logs, Apache
and Amazon S3 access logs and MySQL
slow query logs out of the box, but file formats of other applications can
easily be supported by supplying an
easy to write log file format definition.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/console
%{_bindir}/request-log-analyzer
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/tasks
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.rdoc
%doc %{gem_instdir}/CONTRIBUTING.rdoc
%doc %{gem_instdir}/DESIGN.rdoc
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.activerecord3
%{gem_instdir}/Gemfile.activerecord4
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/request-log-analyzer.gemspec
%{gem_instdir}/spec

%changelog
* Wed Apr 20 2022 mockbuilder - 1.13.4-1
- Initial package
